cURL
curl https://api.exponent.finance/markets
import requests
response = requests.get("https://api.exponent.finance/markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"underlyingAsset": {
"mint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"name": "OnRe Tokenized Reinsurance",
"ticker": "ONyc",
"decimals": 9,
"price_source": "jupiter"
},
"syTokenName": "wONyc",
"quoteAsset": {
"mint": "USD1111111111111111111111111111111111111119",
"name": "US Dollar 9 Decimals",
"ticker": "USD",
"decimals": 9,
"price_source": null
},
"baseTokenMint": "USD1111111111111111111111111111111111111119",
"ptMint": "HH7FiYbEfDwQoK2ZJpkMz1T6wG6TqPsWcxWCtEVgigrZ",
"ytMint": "GFpXWuDCm7QMjkYbMveNZoLzybqJaginDDvuX3bJqgLF",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"groupingSyMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"ytPriceInAsset": 0.027956753522440314,
"ptPriceInAsset": 0.9720432464775597,
"impliedApy": 0.12623508746926304,
"underlyingApy": 0.11020907427677296,
"underlyingApy1Epoch": 0.11016234687811677,
"underlyingApy3Epoch": 0.1101739044908685,
"underlyingApy7Epoch": 0.11020907427677296,
"underlyingApy30Epoch": 0.11071851092602114,
"yieldExposure": 35.76953236710123,
"liquidity": 2856426178529278,
"clmmInRangeLiquidity": 2504229637979333,
"legacyLiquidity": 0,
"orderbookExecutableDepth": 8756664638204541,
"maturityDateUnixTs": 1799586000,
"startDateUnixTs": 1787306400,
"releaseDateUnixTs": 1787529600,
"marketStatus": "active",
"totalMarketSize": 23098505.878982306,
"volume": 0,
"categories": [
"Stablecoins"
],
"platformName": "OnRe",
"subPlatformName": null,
"platform": "onrefinance",
"pointsBoost": {
"platform": "onrefinance",
"season": 1,
"updated_at": "2026-09-21T10:00:00.081371+00:00",
"created_at": "2026-08-24T12:23:03.7985+00:00",
"is_active": true,
"sy_token": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"points_name": "Onre Points",
"points_per_day": 1,
"lp_multiplier": 8,
"yt_multiplier": 8,
"type": "sy",
"is_external_tracking": true,
"vault_address": null,
"id": 24
},
"decimals": 9,
"tokenName": "ONyc",
"syExchangeRate": 1.155839113,
"ptRedemptionRate": null,
"allTimeHighSyExchangeRate": 1.155839113,
"canHaveNegativeYield": true,
"finalSyExchangeRate": 1.155839113,
"tickSpace": 2500,
"annualizedLpFeesPct": 0,
"marketDetails": "",
"orderbookAddresses": [
"imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt"
],
"legacyMarketAddresses": [],
"legacyMarketAddressToAltTxAddress": {},
"additionalAddressLookupTable": null,
"interfaceType": "scope",
"priceSource": null,
"discoveryOrder": null,
"ytHolderRewardsApy": 0,
"ytHolderRewardCampaigns": []
}
]
Core
Yield markets
Returns enriched market data combining vaults, SY tokens, and points configuration. This is the primary endpoint for fetching tradeable yield markets.
GET
/
markets
cURL
curl https://api.exponent.finance/markets
import requests
response = requests.get("https://api.exponent.finance/markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"underlyingAsset": {
"mint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"name": "OnRe Tokenized Reinsurance",
"ticker": "ONyc",
"decimals": 9,
"price_source": "jupiter"
},
"syTokenName": "wONyc",
"quoteAsset": {
"mint": "USD1111111111111111111111111111111111111119",
"name": "US Dollar 9 Decimals",
"ticker": "USD",
"decimals": 9,
"price_source": null
},
"baseTokenMint": "USD1111111111111111111111111111111111111119",
"ptMint": "HH7FiYbEfDwQoK2ZJpkMz1T6wG6TqPsWcxWCtEVgigrZ",
"ytMint": "GFpXWuDCm7QMjkYbMveNZoLzybqJaginDDvuX3bJqgLF",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"groupingSyMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"ytPriceInAsset": 0.027956753522440314,
"ptPriceInAsset": 0.9720432464775597,
"impliedApy": 0.12623508746926304,
"underlyingApy": 0.11020907427677296,
"underlyingApy1Epoch": 0.11016234687811677,
"underlyingApy3Epoch": 0.1101739044908685,
"underlyingApy7Epoch": 0.11020907427677296,
"underlyingApy30Epoch": 0.11071851092602114,
"yieldExposure": 35.76953236710123,
"liquidity": 2856426178529278,
"clmmInRangeLiquidity": 2504229637979333,
"legacyLiquidity": 0,
"orderbookExecutableDepth": 8756664638204541,
"maturityDateUnixTs": 1799586000,
"startDateUnixTs": 1787306400,
"releaseDateUnixTs": 1787529600,
"marketStatus": "active",
"totalMarketSize": 23098505.878982306,
"volume": 0,
"categories": [
"Stablecoins"
],
"platformName": "OnRe",
"subPlatformName": null,
"platform": "onrefinance",
"pointsBoost": {
"platform": "onrefinance",
"season": 1,
"updated_at": "2026-09-21T10:00:00.081371+00:00",
"created_at": "2026-08-24T12:23:03.7985+00:00",
"is_active": true,
"sy_token": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"points_name": "Onre Points",
"points_per_day": 1,
"lp_multiplier": 8,
"yt_multiplier": 8,
"type": "sy",
"is_external_tracking": true,
"vault_address": null,
"id": 24
},
"decimals": 9,
"tokenName": "ONyc",
"syExchangeRate": 1.155839113,
"ptRedemptionRate": null,
"allTimeHighSyExchangeRate": 1.155839113,
"canHaveNegativeYield": true,
"finalSyExchangeRate": 1.155839113,
"tickSpace": 2500,
"annualizedLpFeesPct": 0,
"marketDetails": "",
"orderbookAddresses": [
"imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt"
],
"legacyMarketAddresses": [],
"legacyMarketAddressToAltTxAddress": {},
"additionalAddressLookupTable": null,
"interfaceType": "scope",
"priceSource": null,
"discoveryOrder": null,
"ytHolderRewardsApy": 0,
"ytHolderRewardCampaigns": []
}
]
cURL
curl https://api.exponent.finance/markets
import requests
response = requests.get("https://api.exponent.finance/markets", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/markets");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"underlyingAsset": {
"mint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
"name": "OnRe Tokenized Reinsurance",
"ticker": "ONyc",
"decimals": 9,
"price_source": "jupiter"
},
"syTokenName": "wONyc",
"quoteAsset": {
"mint": "USD1111111111111111111111111111111111111119",
"name": "US Dollar 9 Decimals",
"ticker": "USD",
"decimals": 9,
"price_source": null
},
"baseTokenMint": "USD1111111111111111111111111111111111111119",
"ptMint": "HH7FiYbEfDwQoK2ZJpkMz1T6wG6TqPsWcxWCtEVgigrZ",
"ytMint": "GFpXWuDCm7QMjkYbMveNZoLzybqJaginDDvuX3bJqgLF",
"syMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"groupingSyMint": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"ytPriceInAsset": 0.027956753522440314,
"ptPriceInAsset": 0.9720432464775597,
"impliedApy": 0.12623508746926304,
"underlyingApy": 0.11020907427677296,
"underlyingApy1Epoch": 0.11016234687811677,
"underlyingApy3Epoch": 0.1101739044908685,
"underlyingApy7Epoch": 0.11020907427677296,
"underlyingApy30Epoch": 0.11071851092602114,
"yieldExposure": 35.76953236710123,
"liquidity": 2856426178529278,
"clmmInRangeLiquidity": 2504229637979333,
"legacyLiquidity": 0,
"orderbookExecutableDepth": 8756664638204541,
"maturityDateUnixTs": 1799586000,
"startDateUnixTs": 1787306400,
"releaseDateUnixTs": 1787529600,
"marketStatus": "active",
"totalMarketSize": 23098505.878982306,
"volume": 0,
"categories": [
"Stablecoins"
],
"platformName": "OnRe",
"subPlatformName": null,
"platform": "onrefinance",
"pointsBoost": {
"platform": "onrefinance",
"season": 1,
"updated_at": "2026-09-21T10:00:00.081371+00:00",
"created_at": "2026-08-24T12:23:03.7985+00:00",
"is_active": true,
"sy_token": "G1qbuP11CdquJCzuDjruWqatQAHroajmxhLfeQVgHosF",
"points_name": "Onre Points",
"points_per_day": 1,
"lp_multiplier": 8,
"yt_multiplier": 8,
"type": "sy",
"is_external_tracking": true,
"vault_address": null,
"id": 24
},
"decimals": 9,
"tokenName": "ONyc",
"syExchangeRate": 1.155839113,
"ptRedemptionRate": null,
"allTimeHighSyExchangeRate": 1.155839113,
"canHaveNegativeYield": true,
"finalSyExchangeRate": 1.155839113,
"tickSpace": 2500,
"annualizedLpFeesPct": 0,
"marketDetails": "",
"orderbookAddresses": [
"imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt"
],
"legacyMarketAddresses": [],
"legacyMarketAddressToAltTxAddress": {},
"additionalAddressLookupTable": null,
"interfaceType": "scope",
"priceSource": null,
"discoveryOrder": null,
"ytHolderRewardsApy": 0,
"ytHolderRewardCampaigns": []
}
]